#pragma once
#include "StaticWindow.h"
#include "textbox.h"
#include "checkbox.h"

class CreateGroupWindow :
	public StaticWindow
{
public:
	CreateGroupWindow();
	~CreateGroupWindow();

	int Create(HWND parent = 0);
	virtual void OnButton(HWND h);
	virtual void OnCustomNotify(int id, Notification& n);

	void DeepRefresh(const TCHAR* name);

	SkinnableButton ok, cancel;

	TextBox GroupName;
	TextBox Description;
	CheckBox PublicView;
	CheckBox PublicEdit;
	TextBox Members;

	TextBox status;

	GroupRecord record;
};